<?php

/*

 * Author: David Abdul

 * Date: 07/06/2010

 * Description:

 * Object for gathering the weeks in a month.

 */

 

class weeks {

	private $month;

	private $year;

	private $days;

	private $weeks = array();

	

	public function weeks($month = "",$year = "") {

		if ($month == "") $this->month = date("m");

		else $this->month = $month;

		if ($year == "") $this->year = date("y");

		else $this->year = $year;

		

		$this->days = $this->initDays();

		$this->weeks = $this->initWeeks();

	}

	

	private function initDays() {

		$days = date('d',strtotime("+1month -1day",mktime(0,0,0,$this->month,1,$this->year)));

		return $days;

	}

	

	private function initWeeks() {

		$start = 1;

		$weeks = array();

		$week = 0;

		for ($i = 1;$i <= $this->days;$i++) {

			if ((date("D",mktime(0,0,0,$this->month,$i,$this->year)) == "Sun") && ($i != 1)) {

				$weeks[] = array("start" => date("Y-m-d",mktime(0,0,0,$this->month,$start,$this->year)),"end" => date("Y-m-d",mktime(0,0,0,$this->month,$i,$this->year)));

				$start = $i+1;

				$week++;

			}

						

		}

		if (date("d",mktime(0,0,0,$this->month,$start-1,$this->year)) != $this->days) {

			$weeks[] = array("start" => date("Y-m-d",mktime(0,0,0,$this->month,$start,$this->year)),"end" => date("Y-m-d",mktime(0,0,0,$this->month,$this->days,$this->year)));

		}

		return $weeks;

	}	

	

	public function getDays() {

		return $this->days;

	}

	

	public function getWeeks() {

		return $this->weeks;

	}

}

?>