<?php

defined( '_JEXEC' ) or die( 'Restricted access' );

jimport('joomla.application.component.model');



class seoModelfaq extends JModel {

	

	var $questions = array();

	var $answers = array();

	

	function __construct() {

		$db =& JFactory::getDBO();

		$query = "SELECT `faq` FROM `#__seo_opts` WHERE `id`='1'";

		$db->setQuery($query);

		$url = $db->loadAssoc();

		$rRequest = curl_init();

        curl_setopt($rRequest, CURLOPT_URL, $url['faq']);

        curl_setopt($rRequest, CURLOPT_RETURNTRANSFER, 1);

		$output = curl_exec($rRequest);

		$doc = new DOMDocument();

  		$doc->loadXml($output);

		$qas = $doc->getElementsByTagName( "qa" );

		foreach( $qas as $qa ) {

			$this->questions[] = $qa->getElementsByTagName( "question" )->item(0)->nodeValue;

			$this->answers[] = $qa->getElementsByTagName( "answer" )->item(0)->nodeValue;

		}

		//Construct the parent object

		parent::__construct();

	}

	

	function showQuestions() {

		echo '<ul class="faqlist">';

		for ($i=0; $i<count($this->questions); $i++) {

			echo '<li><a href="#q'.$i.'">'.$this->questions[$i].'</a></li>';

		}

		echo '</ul>';

	}

	

	function showQA() {

		for ($i=0; $i<count($this->questions); $i++) {

			echo '

			<div class="faq">

				<div class="faqQ">

					<span class="faqH">Q</span> 

					<span class="faqText">

						'.$this->questions[$i].' 

						<a name="q'.$i.'"></a>

					</span>

				</div>

				<div class="clear"></div>

				<div class="faqA">

					<span class="faqH">A</span> 

					<span class="faqText">

						'.$this->answers[$i].'

						<br />

						<a href="#">Back to top</a> 

					</span>

				</div>

				<div class="clear"></div>

			</div>

			';

		}

	}
	
	/**
	 * Returns true if SEM installed, false otherwise
	 * 
	 * @return Boolean true if installed, false otherwise
	 */
	public function semActive(){
		
		if($this->seoTableExists()){
			
			$db =& JFactory::getDBO();
			$query = "SELECT * FROM `#__seo_opts` WHERE `id`='1'";
			$db->setQuery($query);
			if (!$db->query()) {
				return false;
			}
			$details = $db->loadAssoc();
			
			// If the field `semactive` is 1, SEM installed
			if($details['semactive'] == '1'){
				return true;
			} else {
				return false;
			}
			
		} else {
			
			return false;
			
		}
		
	}// End function: semActive()
	
	/**
	 * Looks for the database table #__seo_opts, and returns true if it is present, and false otherwise.
	 * 
	 * @return Boolean TRUE if table exists, FALSE if not
	 */
	private function seoTableExists(){
					
		$db =& JFactory::getDBO();
		
		$table_name = $db->getPrefix() . 'seo_opts';
		
		$db->getPrefix();
		$query = $query = "show tables like '{$table_name}'";
		$db->setQuery( $query );
		$res = $db->loadAssoc();
		
		// A result will only be present if the SQL found a table with the required name
		if(is_array($res) && !empty($res)){
			return true;
		} else {
			return false;
		}
		
	}// End function: seoTableExists()

}



?>