<?php 
/* Initialize Joomla framework */
define( '_JEXEC', 1 );
define( 'DS', DIRECTORY_SEPARATOR );
define('JPATH_BASE', dirname(__FILE__).DS.'..' );
//ini_set('display_errors', 'On');
//error_reporting(E_ALL);
/* Required Files */
require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );
require_once ( JPATH_BASE .DS.'includes'.DS.'framework.php' );
require_once( JPATH_BASE .DS.'administrator'.DS.'includes'.DS.'helper.php' );
require_once( JPATH_BASE .DS.'administrator'.DS.'includes'.DS.'toolbar.php' );
/* To use Joomla's Database Class */
require_once ( JPATH_BASE .DS.'libraries'.DS.'joomla'.DS.'factory.php' );
/* Create the Application */
$mainframe =& JFactory::getApplication('site');

$mainframe->initialise();
JPluginHelper::importPlugin('system');

//$id = JFactory::getUser();

$site_path = realpath(dirname(__FILE__));
define ('__SITE_PATH', $site_path);
$dir = explode(DS,$site_path);
define ('__SITE_FOLDER', str_replace("\\","/",DS.$dir[count($dir)-1]));
unset($site_path,$dir);
include 'includes/mvc.php';

$registry->router = new router($registry);
$registry->router->setPath (__SITE_PATH . '/control',"Controller");
$registry->router->setPath (__SITE_PATH . '/model',"Model");
$registry->template = new template($registry);
$_GET['section'] = JRequest::getCmd('section');
$_GET['task'] = JRequest::getCmd('task');

//$_GET['control'] = "login";
//$_SESSION['authenticated']
if(!$_SESSION['authenticated']) {
	$registry->template->setTemplate("login");
	$_GET['section'] = "login";
}
$registry->router->loader();
 
?>
