function jlitesettings() {
	
	this.init = init;
	
	this.product = "";
	this.maxpagelimit = "";
	this.icontactedit = "";
	this.galleryactive = "";
	this.rotatoractive = "";
	this.rotatorclassname = "";
	this.footerkeywords = "";
	this.videoactive = "";
	this.button = "";
	
	function init(product, maxpagelimit, icontactedit, galleryactive, rotatoractive, rotatorclassname, videoactive, footerkeywords, button){
		
		product = document.getElementById(product);

		maxpagelimit = document.getElementById(maxpagelimit);
		
		icontactedit = document.getElementById(icontactedit);
		
		galleryactive = document.getElementById(galleryactive);

		rotatoractive = document.getElementById(rotatoractive);
		
		rotatorclassname = document.getElementById(rotatorclassname);
		
		videoactive = document.getElementById(videoactive);
		
		footerkeywords = document.getElementById(footerkeywords);
		
		button = document.getElementById(button);
		
		button.onclick = function(){
			
			loader.show();

			$('#preloadWrapper').fadeIn('slow', function() {

		        $('#preloadMessage').fadeIn('slow', function() {
					
					/* do the work */
					request.add("section","index");
					request.add("task","saveJliteSettings");
					
					request.add("product",product.value);
					request.add("maxpagelimit",maxpagelimit.value);
					request.add("icontactedit",icontactedit.value);
					request.add("galleryactive",galleryactive.value);
					request.add("rotatoractive",rotatoractive.value);
					request.add("rotatorclassname",rotatorclassname.value);
					request.add("videoactive",videoactive.value);
					request.add("footerkeywords",footerkeywords.value);
					
					request.callback = function() {
						
						if (this.readyState == 4) {
							
							var xml = this.responseXML.documentElement;

							var result = xml.getElementsByTagName("result")[0].childNodes[0].nodeValue;

							if (result == "false") {

								alert("Operation Failed: The current password you provided was incorrect.");

							}

							$('#preloadMessage').fadeOut('fast', function() {

		        				$('#preloadWrapper').fadeOut('fast', function() {

									loader.hide();

								});	

		    				});
							
						}
						
					};
					
					request.post("index.php");
					
				});
				
			});
			
		};
		
		product.onchange = function(){
			
			// Get product value, which determines the settings to be used
			if(product.value == 'standard'){
				
				// Set max page limit to 0
				maxpagelimit.value = '0';
				//iContact
				icontactedit.selectedIndex = 0;
				// Gallery
				galleryactive.selectedIndex = 1;
				// Rotator
				rotatoractive.selectedIndex = 1;
				// Video
				videoactive.selectedIndex = 1;
				// Footer Keywords
				footerkeywords.selectedIndex = 0;
				
			} else {
				
				// Set max page limit to 0
				maxpagelimit.value = '0';
				//iContact
				icontactedit.selectedIndex = 1;
				// Gallery
				galleryactive.selectedIndex = 1;
				// Rotator
				rotatoractive.selectedIndex = 1;
				// Video
				videoactive.selectedIndex = 1;
				// Footer Keywords
				footerkeywords.selectedIndex = 0;
				
			}
			
			
			
			// 

		};
		
	};
	
};
