DROP TABLE IF EXISTS `#__seo_msgs`;

DROP TABLE IF EXISTS `#__seo_opts`;

DROP TABLE IF EXISTS `#__seo_topics`;

DROP TABLE IF EXISTS `#__seo_users`;

DROP TABLE IF EXISTS `#__seo_keywords`;



CREATE TABLE IF NOT EXISTS `#__seo_msgs` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `topic` varchar(255) NOT NULL DEFAULT '0',

  `msg` text,

  `date` date NOT NULL DEFAULT '0000-00-00',

  PRIMARY KEY (`id`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=46 ;





INSERT INTO `#__seo_msgs` (`id`, `topic`, `msg`, `date`) VALUES

(1, 'Google Places & Local Search', 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip.', '2010-07-12');

CREATE TABLE `#__seo_opts` (
  `id` int(11) NOT NULL auto_increment,
  `guser` varchar(255) NOT NULL default '',
  `gpass` varchar(255) NOT NULL default '',
  `gprofileid` varchar(255) NOT NULL,
  `gwebpropertyid` varchar(255) NOT NULL,
  `faq` varchar(255) NOT NULL,
  `estara` varchar(40) NOT NULL,
  `guides` varchar(255) NOT NULL,
  `brand` varchar(40) NOT NULL,
  `semactive` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;





INSERT INTO `#__seo_opts` (`id`, `guser`, `gpass`, `faq`, `estara`,`guides`,`brand`) VALUES

(1, '', '', 'http://www.seo.rsto.co.uk/index.php?option=com_faq&format=xml', '084590909','http://www.seo.rsto.co.uk/guides/','bt');





CREATE TABLE IF NOT EXISTS `#__seo_topics` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `Keyword_Research` varchar(1) NOT NULL DEFAULT '0',

  `On_Page_Optimisation` varchar(1) NOT NULL DEFAULT '0',

  `Google_Analytics` varchar(1) NOT NULL DEFAULT '0',

  `About_Rankings` varchar(1) NOT NULL DEFAULT '0',

  `Developing_Content` varchar(1) NOT NULL DEFAULT '0',

  `Link_Building_-_Directories` varchar(1) NOT NULL DEFAULT '0',

  `Link_Building_-_Articles` varchar(1) NOT NULL DEFAULT '0',

  `Local_Search_&_Places` varchar(1) NOT NULL DEFAULT '0',

  `Google_Webmaster_Tools` varchar(1) NOT NULL DEFAULT '0',

  `Pay_Per_Click` varchar(1) NOT NULL DEFAULT '0',

  `Social_Media_Marketing` varchar(1) NOT NULL DEFAULT '0',

  `Web_Site_Review` varchar(1) NOT NULL DEFAULT '0',

  PRIMARY KEY (`id`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;





INSERT INTO `#__seo_topics` (`id`, `Keyword_Research`, `On_Page_Optimisation`, `Google_Analytics`, `About_Rankings`, `Developing_Content`, `Link_Building_-_Directories`, `Link_Building_-_Articles`, `Local_Search_&_Places`, `Google_Webmaster_Tools`, `Pay_Per_Click`, `Social_Media_Marketing`, `Web_Site_Review`) VALUES

(1, '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0');





CREATE TABLE IF NOT EXISTS `#__seo_users` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `name` varchar(255) NOT NULL DEFAULT '',

  `username` varchar(150) NOT NULL DEFAULT '',

  `email` varchar(100) NOT NULL DEFAULT '',

  `password` varchar(100) NOT NULL DEFAULT '',

  `usertype` varchar(25) NOT NULL DEFAULT '',

  `block` tinyint(4) NOT NULL DEFAULT '0',

  PRIMARY KEY (`id`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=2 ;





INSERT INTO `#__seo_users` (`id`, `name`, `username`, `email`, `password`, `usertype`, `block`) VALUES

(1, 'Chris', 'seoadmin', 'chris.lamb@rsto.co.uk', '2149562c8598d636357a69d1a2f44283', 'admin', 0);



CREATE TABLE IF NOT EXISTS `#__seo_keywords` (

  `id` int(11) NOT NULL AUTO_INCREMENT,

  `keyword1` varchar(255) NOT NULL DEFAULT '0',

  `keyword2` varchar(255) NOT NULL DEFAULT '0',

  `keyword3` varchar(255) NOT NULL DEFAULT '0',

  `keyword4` varchar(255) NOT NULL DEFAULT '0',

  `keyword5` varchar(255) NOT NULL DEFAULT '0',

  `keyword6` varchar(255) NOT NULL DEFAULT '0',

  `keyword7` varchar(255) NOT NULL DEFAULT '0',

  `keyword8` varchar(255) NOT NULL DEFAULT '0',

  `keyword9` varchar(255) NOT NULL DEFAULT '0',

  `keyword10` varchar(255) NOT NULL DEFAULT '0',

  `date` date NOT NULL DEFAULT '0000-00-00',

  PRIMARY KEY (`id`)

) ENGINE=MyISAM  DEFAULT CHARSET=utf8;



INSERT INTO `#__seo_keywords` (`id`, `keyword1`, `keyword2`, `keyword3`, `keyword4`, `keyword5`, `keyword6`, `keyword7`, `keyword8`, `keyword9`, `keyword10`, `date`) VALUES

(1, 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', '2010-07-27'),

(2, 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', '2010-07-27'),

(3, 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', '2010-08-11'),

(4, 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', 'Keyword:::::0', '2010-07-27');

