/**
 * @author david.abdul
 */
function Request(){
	//Methods
    this.post = post;
	this.add = add;
	this.makeParams = makeParams;
	this.clean = clean;
	this.callback = function() {};
	
	//Properties
    this.method = "POST";
	this.fields = Array();
	this.values = Array();
	this.params = "";
	
    function post(url){
        var request = null;
        try {
            request = new XMLHttpRequest();
        } 
        catch (e) {
            try {
                request = new ActiveXObject("Msxml2.XMLHTTP");
            } 
            catch (e) {
                request = new ActiveXObject("Microsoft.XMLHTTP");
            }
        }
        //url = url + "&sid=" + Math.random();
        request.onreadystatechange = this.callback;
		if (this.method == "GET") {
			request.open(this.method, url, true);
			request.send(null);
			this.clean();
		}
		else {
			this.makeParams();
			request.open("POST", url, true);
			request.setRequestHeader("Content-type", "application/x-www-form-urlencoded");
			request.setRequestHeader("Content-length", this.params.length);
			request.setRequestHeader("Connection", "close");
			request.send(this.params);
			this.clean();
		}
    }
	
	function clean() {
		this.params = "";
		this.fields = Array();
		this.values = Array();
	}
	
	function add(key,value) {
		this.fields[this.fields.length] = key;
		this.values[this.values.length] = value;
	}
	
	function makeParams() {
		for (var i=0; i<this.fields.length; i++) {
			this.params += this.fields[i]+"="+escape(this.values[i])+"&";
		}
	}
}

var request = new Request();