/**
 * @author David Abdul
 */
function archive() {
	this.init = init;
	this.attatchForm = attatchForm;
	
	this.container = "";
	this.button = "";
	this.topic = "";
	this.msg = "";
	
	function attatchForm(topic,msg,button) {
		topic = document.getElementById(topic);
		msg = document.getElementById(msg);
		button = document.getElementById(button);
		button.onclick = function() {
			loader.show();
			$('#preloadWrapper').fadeIn('slow', function() {
        		$('#preloadMessage').fadeIn('slow', function() {
					request.add("section","index");
					request.add("task","addMsg");
					request.add("topic",topic.value);
					request.add("msg",msg.value);
					request.callback = function() {
						if (this.readyState == 4) {
							var xml = this.responseXML.documentElement;
							$('#preloadMessage').fadeOut('fast', function() {
		        				$('#preloadWrapper').fadeOut('fast', function() {
									var parentTag = document.createElement("div");
									parentTag.className = "messageBox";
									
									var tag = document.createElement("strong");
									tag.innerHTML = xml.getElementsByTagName("topic")[0].childNodes[0].nodeValue;;
									parentTag.appendChild(tag);
									tag = document.createElement("br");
									parentTag.appendChild(tag);
									tag = document.createElement("div");
									tag.innerHTML = xml.getElementsByTagName("msg")[0].childNodes[0].nodeValue;;
									parentTag.appendChild(tag);
									tag = document.createElement("br");
									parentTag.appendChild(tag);
									tag = document.createElement("div");
									tag.style.textAlign = "right";
									tag.innerHTML = "<a href=\"javascript:void(0);\">Edit</a> | <a href=\"javascript:void(0);\">Remove</a>";
									parentTag.appendChild(tag);
									tag = document.createElement("div");
									tag.className = "clear";
									parentTag.appendChild(tag);
									tag = document.createElement("div");
									tag.className = "editForm";
									tag.id = "post"+xml.getElementsByTagName("id")[0].childNodes[0].nodeValue;;
									parentTag.appendChild(tag);
									parentTag.style.display = "none";
									container.insertBefore(parentTag,container.childNodes[0]);
									init(container);
									$(parentTag).slideDown('500', function() {
										//form.innerHTML = "";
									});
									loader.hide();
								});	
		    				});
						}
					}
					request.post("index.php");	
				});	
    		});
		}
	}
	
	function init(element) {
		container = element;
		var links = element.getElementsByTagName("a");
		for (var i = 0; i < links.length; i++) {
			if (links[i].innerHTML == "Edit") {
				links[i].onclick = function() {
					if (this.innerHTML == "Edit") {
						var obj = this;
						var form = this.parentNode.parentNode.getElementsByTagName("div")[3];
						var formWrapper = document.getElementById(form.id);
						
						var tag = document.createElement("strong");
						tag.innerHTML = "Topic:";
						formWrapper.appendChild(tag);
						
						tag = document.createElement("br");
						formWrapper.appendChild(tag);
						
						tag = document.createElement("input");
						tag.type = "text";
						tag.id = form.id+"Topic"
						tag.value = this.parentNode.parentNode.getElementsByTagName("strong")[0].innerHTML;
						formWrapper.appendChild(tag);
						
						tag = document.createElement("br");
						formWrapper.appendChild(tag);
						
						tag = document.createElement("strong");
						tag.innerHTML = "Message:";
						formWrapper.appendChild(tag);
						
						tag = document.createElement("br");
						formWrapper.appendChild(tag);
						
						tag = document.createElement("textarea");
						tag.id = form.id+"Msg";
						var content = this.parentNode.parentNode.getElementsByTagName("div")[0].innerHTML;
						content = content.replace(/<br>/g,"\n");
						content = content.replace(/<br \/>/g,"\n");
						tag.innerHTML = content;
						formWrapper.appendChild(tag);
						
						tag = document.createElement("input");
						tag.type = "button";
						tag.className = "button";
						tag.value = "Save"
						tag.onclick = function() {
							loader.show();
							$('#preloadWrapper').fadeIn('slow', function() {
				        		$('#preloadMessage').fadeIn('slow', function() {
									request.add("section","index");
									request.add("task","updateMsg");
									request.add("topic",document.getElementById(form.id+"Topic").value);
									request.add("msg",document.getElementById(form.id+"Msg").value);
									request.add("id",form.id.replace("post",""));
									request.callback = function() {
										if (this.readyState == 4) {
											obj.parentNode.parentNode.getElementsByTagName("strong")[0].innerHTML = document.getElementById(form.id+"Topic").value;
											obj.parentNode.parentNode.getElementsByTagName("div")[0].innerHTML = document.getElementById(form.id+"Msg").value;
											$('#'+form.id).slideUp('500', function() {
												form.innerHTML = "";
												obj.innerHTML = "Edit";
												$('#preloadMessage').fadeOut('fast', function() {
							        				$('#preloadWrapper').fadeOut('fast', function() {
														loader.hide();
													});	
							    				});
											});
										}
									}
									request.post("index.php");	
								});	
				    		});
						};
						formWrapper.appendChild(tag);
						tag = document.createElement("br");
						tag.clear = "all";
						//tag.className = "clear";
						//tag.innerHTML = "&nbsp;";
						formWrapper.appendChild(tag);
						$('#' + form.id).slideDown('500', function(){
						});
						form.style.display = "block";
						this.innerHTML = "Close";
					}

					else if (this.innerHTML == "Close") {
						var form = this.parentNode.parentNode.getElementsByTagName("div")[3];
						$('#'+form.id).slideUp('500', function() {
							form.innerHTML = "";
						});
						this.innerHTML = "Edit";
					}
				}
			}
			else if (links[i].innerHTML == "Remove") {
				links[i].onclick = function(){
					if(confirm("Do you really want to remove this post?")) {
						loader.show();
						var form = this.parentNode.parentNode.getElementsByTagName("div")[3];
						var container = this.parentNode.parentNode;
						$('#preloadWrapper').fadeIn('slow', function() {
				        	$('#preloadMessage').fadeIn('slow', function() {
								request.add("section","index");
								request.add("task","removeMsg");
								request.add("id",form.id.replace("post",""));
								request.callback = function() {
									if (this.readyState == 4) {
										$(container).slideUp('500', function() {
											$('#preloadMessage').fadeOut('fast', function() {
						        				$('#preloadWrapper').fadeOut('fast', function() {
													loader.hide();
												});	
						    				});
										});
									}
								}
								request.post("index.php");
							});	
				    	});
					}
				}
			}
		}
	}
}

