<script language="javascript" type="text/javascript">
	$(document).ready(
		function(){
			//Archive javascript
			archive = new archive();
			archive.init(document.getElementById("archive"));
			archive.attatchForm("archiveTopic","archiveMsg","archiveSave");
			//Topics javascript
			topics = new topics();
			topics.init(document.getElementById("topics"));
			//Google account javascript
			google = new google();
			google.init("guser","gpass","gprofileid","gwebpropertyid","gsave");
			//FAQ javascript
			faq = new faq();
			faq.init("faq","fsave");
			//eStara javascript
			estara = new estara();
			estara.init("estara","esave");
			//keywords javascript
			keywords = new keywords();
			keywords.init("holder","ksave");

			//activation javascript
			activate = new activate();

			activate.init("asave");

			//jLiteSettings javascript
			jlitesettings = new jlitesettings();

			jlitesettings.init("product", "maxpagelimit", "icontactedit", "galleryactive", "rotatoractive", "rotatorclassname", "videoactive", "footerkeywords", "jsave");
		}
	);
	
	function slider(elm,sender) {
		elm = document.getElementById(elm);
		if ($(elm).is(":hidden")) {
			sender.innerHTML = "hide";	
	      	$(elm).slideDown();
	    } else {
			sender.innerHTML = "show";
	      	$(elm).slideUp();
	    }

	}
</script>	
<div class="rounded-box">
	<div class="rounded-box-head">
		<div class="rounded-box-head-left"></div><div class="rounded-box-head-right"></div>
	</div>
	<div class="rounded-box-main">
		<div class="homeIcon"><div>SEO Management</div></div>
		<div class="clear"> </div>
	</div>
	<div class="rounded-box-foot">
		<div class="rounded-box-foot-left"></div><div class="rounded-box-foot-right"></div>
	</div>
</div>
<div class="clear"> </div>
<br />
<div class="instruction">
	<div class="tLeft">&nbsp;</div> 
	<div class="bLeft">&nbsp;</div> 
	<div class="tRight">&nbsp;</div> 
	<div class="bRight">&nbsp;</div>

	<h3>SEO </h3>
	Welcome to the SEO administration panel. From here you will be able to report the customer with updates about your search engine optimization progress on their site.  
</div>

<div style="float:left; border:0px solid #000; width:550px;">
	<div class="detailsBox" id="compose" style="float:left; margin-top:20px; width:500px;">
		<h1>Compose Message</h1>
		<div class="clear">&nbsp;</div>
		<hr />
		<div style="color:#000; font-size:11px;">
			From here you will be able to post a message to the customer informing them that you have performed a new SEO related task. Please use the title to provide details about the task that you performed.
		</div>
		<br />
		<strong>Topic:</strong><br />
		<input type="text" value="Topic" id="archiveTopic" style="width:492px; border:1px solid #bfbfbf; margin-bottom:6px;" />
		<br />
		<strong>Message:</strong><br />
		<textarea id="archiveMsg" style="width:498px; border:1px solid #bfbfbf; height:80px; font-family:Helvetica,Arial, sans-serif; font-size:11px;">Message here</textarea>
		<input type="submit" value="Save" id="archiveSave" style="float:right; margin-top:5px;" />
		<div class="clear">&nbsp;</div>
	</div>
	<div class="detailsBox" style="float:left; margin-top:20px; width:500px;">
		<h1>Message Archive</h1>
		<div class="clear">&nbsp;</div>
		<hr />
		<div style="color:#000; font-size:11px;">
			From here you will be able to display all the messages that have been posted to the customer. You will be able to remove and modify the messages from this section.
		</div>
		<br />
		<hr />
		<div id="archive">
		<?php $model->loadMessages(); ?>
		</div>
	</div>
	<div class="clear">&nbsp;</div>
</div>
<div style="float:right; border:0px solid #000;">
	<div class="detailsBox" id="google" style="float:right; width:350px; height:auto; margin-right:0px; margin-top:20px; margin-right:0px; text-align:left;">
		<h1>Google Account Settings</h1>
		<a href="javascript: void(0);" class="visibilityLink" onclick="slider('googleWindow',this)">show</a>
		<div class="clear">&nbsp;</div>
		<div id="googleWindow" style="display:none;">
			<hr style="margin-bottom:10px;" />
			<?php $model->loadGAccountForm(); ?>
			
			<hr style="margin-bottom:8px;" />
			<input type="button" value="Save" id="gsave"  style="width:40px; float:right; margin-bottom:0px;"/>
			<div class="clear"> </div>
			<input type="hidden" name="task" value="saveSettings" />
			<input type="hidden" name="section" value="index" />
		</div>
	</div>
	<div class="clear">&nbsp;</div>
	
	<div class="detailsBox" id="estaraForm" style="float:right;  font-size:12px; font-weight:bold; height:auto; margin-right:0px; margin-top:20px; margin-right:0px; text-align:left;">
		<h1>eStara Number</h1>
		<a href="javascript: void(0);" class="visibilityLink" onclick="slider('estaraWindow',this)">show</a>
		<div class="clear">&nbsp;</div>
		<div id="estaraWindow" style="display:none;">
			<hr />
			<?php $model->loadEstaraForm(); ?>
			<hr style="margin-bottom:8px;" />
			<input type="button" value="Save" id="esave"  style="width:40px; float:right; margin-bottom:0px;"/>
		</div>
		<div class="clear"> </div>
	</div>
	<div class="clear">&nbsp;</div>
	
	<div class="detailsBox" id="topics" style="float:right;  font-size:12px; font-weight:bold; height:auto; margin-right:0px; margin-top:20px; margin-right:0px; text-align:left;">
		<h1>Client SEO Topics</h1>
		<a href="javascript: void(0);" class="visibilityLink" onclick="slider('topicsWindow',this)">show</a>
		<div class="clear">&nbsp;</div>
		<div id="topicsWindow" style="display:none;">
			<hr />
			<?php $model->loadTopics(); ?>
		</div>
	</div>
	<div class="clear">&nbsp;</div>
	
	<div class="detailsBox" id="keywords" style="float:right;  font-size:12px; font-weight:bold; height:auto; margin-right:0px; margin-top:20px; margin-right:0px; text-align:left;">
		<h1>Keyword Rankings</h1>
		<a href="javascript: void(0);" class="visibilityLink"  onclick="slider('keysWindow',this)">show</a>
		<div class="clear">&nbsp;</div>
		
		<div id="keysWindow" style="display:none;">
			<hr />
			<?php $model->loadKeywords(); ?>
			<div class="keyHolder" id="trackerButtons">
	
			</div>
			
			<input type="button" value="Save" id="ksave"  style="width:40px; float:right; margin-bottom:0px; margin-top:3px;"/>
		</div>
	</div>
	<div class="clear">&nbsp;</div>
	
	<div class="detailsBox" id="faqForm" style="float:right;  font-size:12px; font-weight:bold; height:auto; margin-right:0px; margin-top:20px; margin-right:0px; text-align:left;">
		<h1>FAQ Feed URL</h1>
		<a href="javascript: void(0);" class="visibilityLink" onclick="slider('faqWindow',this)">show</a>
		<div class="clear">&nbsp;</div>
		<div id="faqWindow" style="display:none;">
			<hr />
			<?php $model->loadFAQForm(); ?>
			<hr style="margin-bottom:8px;" />
			<input type="button" value="Save" id="fsave"  style="width:40px; float:right; margin-bottom:0px;"/>
			<div class="clear"> </div>
		</div>
	</div>
	<div class="clear">&nbsp;</div>
	
	<div class="detailsBox" id="activateForm" style="float:right;  font-size:12px; font-weight:bold; height:auto; margin-right:0px; margin-top:20px; margin-right:0px; text-align:left;">
		
		<h1>Activate Website Manager</h1>
		
		<a href="javascript: void(0);" class="visibilityLink" onclick="slider('activateWindow',this)">show</a>
		
		<div class="clear">&nbsp;</div>
		
		<div id="activateWindow" style="display:none;">
			
			<hr />
			
			<?php $model->loadActivationForm(); ?>
			
			<hr style="margin-bottom:8px;" />

			<input type="button" value="Change Status" id="asave"  style="width:90px; float:right; margin-bottom:0px;"/>

			<div class="clear"> </div>
			
		</div>
		
	</div>
	
	<div class="clear">&nbsp;</div>
	
	<div class="detailsBox" id="activateForm" style="float:right;  font-size:12px; font-weight:bold; height:auto; margin-right:0px; margin-top:20px; margin-right:0px; text-align:left;">
		
		<h1>jLite Settings</h1>

		<a href="javascript: void(0);" class="visibilityLink" onclick="slider('jliteSettingsWindow',this)">show</a>
		
		<div class="clear">&nbsp;</div>
		
		<div id="jliteSettingsWindow" style="display:none;">
		
			<hr />
				
				<?php $model->loadJliteSettingsForm(); ?>
				 
			<hr style="margin-bottom:8px;" />
	
			<input type="button" value="Change Status" id="jsave"  style="width:90px; float:right; margin-bottom:0px;"/>
	
			<div class="clear"> </div>
		
		</div>
		
	</div>
		
</div>
<br clear="all" />